Subject: Re: [HOSTAP] Make debug a run-time option

From: Jouni Malinen <[email-masked]>
Date: Wed, 14 Mar 2007 22:05:38 +0000

On Wed, Mar 14, 2007 at 03:48:00PM -0400, John W. Linville wrote:

> What about a combined approach?  The existing compile-time option
> could remain while runtime restrictions could be added for when the
> debug stuff is compiled into the driver?

I would be perfectly fine with doing that assuming the default behavior
is not changed with this patch (i.e., debugging would be enabled by
default). I would consider changing the default setting a separate issue
and for that, it might be more worthwhile approach to identify the debug
messages that are undesired by default than to disable everything.

-- 
Jouni Malinen                                            PGP id EFC895FA